Get Bot Tools
GET
/v1/bots/{bot_id}/api-toolsGets a list of bot tools. Requires bot:read scope.
Authorization
BearerAuth AuthorizationBearer <token>
In: header
Path Parameters
bot_id*string
The ID of the bot.
Format
uuidQuery Parameters
is_active?boolean
Whether the tool is active.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/bots/550e8400-e29b-41d4-a716-446655440000/api-tools"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "is_hidden": true, "is_active": true } ]}Get Bot Tool GET
Gets a bot tool. Requires `bot:read` scope.
Update an existing API tool PUT
Updates an existing API-type chatbot tool configuration. Tools updated here will share the same prefix as the normally created tools, therefore it is recommended to use a unique name for the tool updated here to prevent conflicts. Requires `bot:write` scope.